import dynamix_sdk.base as _base


class CloudapiDisksSnapshotDeleteResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiDisksSnapshotDeleteProtocol(_base.BasePostAPIFunctionProtocol):
    def snapshot_delete(
        self,
        *,
        disk_id: int,
        label: str,
    ) -> CloudapiDisksSnapshotDeleteResultBool:
        ...
